import React, {Component} from "react";
import {useHistory, useLocation, useParams} from "react-router-dom"; // React Router >= v5.1...

import './currencies-information.component.css'; // webpack!

export default function CurrenciesInformation() { // As proxy to use 'useParams'...
    const history = useHistory();
    const location = useLocation();
    const {iso_code} = useParams(); // Cannot call a hook such as 'useParams' inside 'React.Component'...
    return (
        <_CurrenciesInformation history={history} iso_code={iso_code} location={location}/>
    );
}

// eslint-disable-next-line
class _CurrenciesInformation extends Component {
    // Disabling browser back button in React: https://medium.com/@subwaymatch/disabling-back-button-in-react-with-react-router-v5-34bb316c99d7
    back = function () { /* ES7 instance attribute outside constructor -> supported by Babel */
        this.props.history.goBack(); // Access to router state...
    }

    information() {
        return "Here: " + this.props.iso_code; // Access to router state...
    }

    render() {
        return (
            <div className="currencies-information">
                <h2>{this.information()}</h2>
                <button onClick={this.back.bind(this)} type="button">Back (leave from '{this.props.location.pathname}')</button>
            </div>
        );
    }
}
