import React, {Component} from "react";
import {withRouter} from "react-router-dom";

import './currencies-information.component.css'; // webpack!

class CurrenciesInformation extends Component {
    // Disabling browser back button in React: https://medium.com/@subwaymatch/disabling-back-button-in-react-with-react-router-v5-34bb316c99d7
    back = function () { /* ES7 instance attribute outside constructor -> supported by Babel */
        this.props.history.goBack(); // Access to router state...
    }

    information() {
        return "Here: " + this.props.match.params.iso_code; // Access to router state...
    }

    render() {
        return (
            <div className="currencies-information">
                <h2>{this.information()}</h2>
                <button onClick={this.back.bind(this)} type="button">Back (leave from
                    '{this.props.location.pathname}')
                </button>
            </div>
        );
    }
}

export default withRouter(CurrenciesInformation); // Router state (location, parameters...) are injected into 'props'...
