// 'currencies-service.js' file
export default class Currencies_service {
    constructor() {
        const request = new XMLHttpRequest();
        this._exchange_rate = new Promise(send => {
            request.onreadystatechange = () => {
                // window.console.warn(request.getAllResponseHeaders());
                if (request.readyState === XMLHttpRequest.DONE) {
                    if (request.getResponseHeader('Content-Type').includes('application/json'))
                        send(window.JSON.parse(request.responseText).rates);
                }
            };
        });
        // eslint-disable-next-line
        request.open('GET', "http://openexchangerates.org/api/latest.json" + "?app_id=" + "678cd96edd4b4f3eb637bf74ef8e0815", true);
        request.send(null);
    }

    async exchange_rate(from, to) {
        return await this._exchange_rate.then(rates => {
            //window.alert(Object.getOwnPropertyNames(rates).join(" - "));
            //window.alert("For 1 US Dollar (USD) to MAD (Moroccan Dirham): " + rates.MAD);
            /* $ -> € and € -> $ only... */
            if (from.iso_symbol === "USD")
                return rates[`${to.iso_symbol}`];
            else
                return 1 / rates[`${from.iso_symbol}`];
        });
    }
}
